#include <stdio.h>

#define min(a,b) ((a) < (b) ? (a) : (b))

void mxm35_ ( n1, n2, colQ, mapQ, m, colW, mapW, colZ, iwork, work)
     int *n1, *n2, *mapQ, *m, *mapW, *iwork;
     double *colQ, *colW, *colZ, *work;
{
  /*
    this is the wrapper for the matrix multiplication routine: Q.W
    
    the matrix Q and W are assume to be in a column wrapped format
    
    */
  
  int me, nvecsQ, nvecsW, nvecsZ;
  int *mapvecQ, *mapvecW;
  int *iscrat, i, j;
  
  double **matQ, **matW, **matZ;
  double *dscrat;
  
  extern int mxmynd_ ();
  extern int fil_mapvec_ ();
  extern void mxm35 ();
  
  me = mxmynd_ ();

  nvecsQ = count_list ( me, mapQ, n2);
  nvecsW = count_list ( me, mapW, m);
  nvecsZ = nvecsW;
  
  matQ = (double **) work;  
  matW = (double **) ( work + nvecsQ);
  matZ = (double **) ( work + nvecsQ + nvecsW);
  dscrat = (double *) ( work + nvecsQ + nvecsW + nvecsW );
  
  for ( i = 0; i < nvecsQ; i++ )
    matQ[i] = &colQ[i * *n1];
  
  for ( i = 0; i < nvecsW; i++ )
    matW[i] = &colW[i * *n2];
  
  for ( i = 0; i < nvecsW; i++ )
    matZ[i] = &colZ[i * *n1];
  
  iscrat  = iwork;
  
  /*
    use mxm*.c ( depending on your data distribution )
    */
  
  mxm35 ( n1, n2, matQ, mapQ, m, matW, mapW, matZ, iscrat, dscrat );

  return;
}




