      logical function ga_destroy(g_a)
      implicit none
#include "mafdecls.h"
#include "globalp.h"
c
      integer g_a
c
      if (g_a .le.0 .or. g_a.gt.n_global_array) then
         write(6,*) ' ga_destroy: array handle is invalid ', g_a
         ga_destroy = .false.
      else if (.not. actv(g_a)) then
         write(6,*) ' ga_destroy: array has been destroyed already',
     $        g_a
         ga_destroy = .false.
      else
         if (.not. ma_free_heap(hand(g_a))) then
            write(6,*) ' ga_destroy: failed to free memory?', g_a
            ga_destroy = .false.
         else
            ga_destroy = .true.
            actv(g_a) = .false.
         endif
      endif
c
      end
