      subroutine ga_put(g_a, ilo, ihi, jlo, jhi, buf, ld)
      implicit none
#include "mafdecls.h"
#include "globalp.h"
c
      integer g_a, ilo, ihi, jlo, jhi, ld
      double precision buf(1:ld, 1:*)
c
      integer i, j, ibase
c
      if (g_a.le.0 .or. g_a.gt.n_global_array) then
         call errquit(' ga_put: invalid array handle ', g_a)
      else if (.not. ma_get_index(hand(g_a), ibase)) then
         call errquit(' ga_put: unable to map array handle ?', g_a)
      else if (ilo.le.0 .or. ihi.gt.dims(1,g_a) .or.
     $         jlo.le.0 .or. jhi.gt.dims(2,g_a)) then
         call errquit(' ga_put: indices out of range', g_a)
      else
         do j = jlo, jhi
            do i = ilo, ihi
*               write(6,*) ' put ', i, j, i + (j-1)*dims(1,g_a),
*     $              buf(i-ilo+1,j-jlo+1)
               dbl_mb(ibase+i-1 + (j-1)*dims(1,g_a)) = 
     $              buf(i-ilo+1,j-jlo+1)
            enddo
         enddo
      endif
c
      end
