      subroutine ga_update(g_a, ilo, ihi, jlo, jhi, buf, ld,
     $     alpha)
      implicit none
#include "mafdecls.h"
#include "globalp.h"
c
      integer g_a, ilo, ihi, jlo, jhi, ld
      double precision buf(1:ld, 1:*), alpha
c
      integer i, j, ij, ibase
c
      if (g_a.le.0 .or. g_a.gt.n_global_array) then
         call errquit(' ga_update: invalid array handle ', g_a)
      else if (.not. ma_get_index(hand(g_a), ibase)) then
         call errquit(' ga_update: unable to map array handle ?', g_a)
      else if (ilo.le.0 .or. ihi.gt.dims(1,g_a) .or.
     $         jlo.le.0 .or. jhi.gt.dims(2,g_a)) then
         call errquit(' ga_upd: indices out of range ', g_a)
      else
         do j = jlo, jhi
            do i = ilo, ihi
*               write(6,*) ' upd ', i, j, i + (j-1)*dims(1,g_a),
*     $              buf(i-ilo+1,j-jlo+1)
               ij = ibase + (i-1) + (j-1)*dims(1,g_a)
               dbl_mb(ij) = dbl_mb(ij) + alpha * buf(i-ilo+1,j-jlo+1)
            enddo
         enddo
      endif
c
      end
