C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     pop_oneint -- Free memory allocated for one-electron integrals
C     by Push_OneInt
C
C SYNOPSIS
      Logical Function Pop_OneInt()
      Implicit NONE
C
C DESCRIPTION
C	Releases memory allocated by Push_OneInt.
C
C REVISION
C     $Id: pop_oneint.F,v 1.1 1993/08/30 21:25:13 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C#include "mafuncs.fh"
#include "mafdecls.h"
#include "integral_memory.fh"
C
C     Must be done in the reverse order of allocation
C
      Pop_OneInt = MA_Pop_Stack( Int_Scr1e_Hdl)
      If ( .NOT. Pop_OneInt ) Return
C
      Pop_OneInt = MA_Pop_Stack( Int_J1e_Hdl)
      If ( .NOT. Pop_OneInt ) Return
C
      Pop_OneInt = MA_Pop_Stack( Int_I1e_Hdl)
      If ( .NOT. Pop_OneInt ) Return
C
      Pop_OneInt = MA_Pop_Stack( Int_V_Hdl)
      If ( .NOT. Pop_OneInt ) Return
C
      Pop_OneInt = MA_Pop_Stack( Int_T_Hdl)
      If ( .NOT. Pop_OneInt ) Return
C
      Pop_OneInt = MA_Pop_Stack( Int_S_Hdl)
      If ( .NOT. Pop_OneInt ) Return
C
      Return
      End
