      subroutine cnrepe(c,zan,repnuc,nat)
c
c$Id: cnrepe.f,v 1.1 1993/08/31 01:26:35 gg502 Exp $
c
c
c... Input:
c          c    all nuclear coordinates
c          zan  all nuclear charges
c          nat  number of atoms
c... Output:
c          repnuc  nuclear repulsion energy
c
      implicit none
      integer nat
      real*8 c(3,nat),zan(nat),repnuc
      real*8 sqrt
      intrinsic sqrt
c:local
      integer i,j
      real*8 rij
c
      repnuc =  0.0d00
      do 00100 i = 2,nat
        do 00200 j = 1,(i-1)
          rij = sqrt (
     &           ((c(1,i)-c(1,j))**2) +
     &           ((c(2,i)-c(2,j))**2) +
     &           ((c(3,i)-c(3,j))**2)
     &           )
          repnuc = repnuc + zan(i)*zan(j)/rij
00200   continue
00100 continue
      end
