      Subroutine hfctr2(Axyz,Bxyz,alpha,P,NAB)
c$Id: hfctr2.f,v 1.1 1993/08/31 01:26:59 gg502 Exp $

      Implicit real*8 (a-h,o-z)
      Implicit integer (i-n)

      Dimension Axyz(3),Bxyz(3)

      Dimension alpha(3,NAB),P(3,NAB)

c Define the center of the charge distribution formed by the product of 
c two Gaussians.

c******************************************************************************

      Ax = Axyz(1)
      Ay = Axyz(2)
      Az = Axyz(3)

      Bx = Bxyz(1)
      By = Bxyz(2)
      Bz = Bxyz(3)

      do 10 m = 1,NAB

       A = alpha(1,m)
       B = alpha(2,m)

       ABI = 1/(A + B)

       P(1,m) = ABI*(A*Ax + B*Bx)
       P(2,m) = ABI*(A*Ay + B*By)
       P(3,m) = ABI*(A*Az + B*Bz)

   10 continue

      end
