C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     PreInitialize -- Perform any initialization necessary for supporting
C     software.
C
C SYNOPSIS
      Subroutine PreInitialize
      Implicit NONE
C
C REVISION
C     $Id: preinitialize.F,v 1.1 1993/11/08 19:49:29 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C
C     TCGMSG message passing
C
      Call PBeginF
      Call EvOff
C
C     Initialize standard I/O units and perhaps files
C
      Call Stdio_Init
C
C     At present, we are still calling some DENMAT routines that use the
C     /IOStuff/ common block, so let's call a DENMAT routine to initialialize
C     it. (Also defines /MathCon/, /PhyCon/, and /Conv/, but we ignore those)
C
      Call LoadCom
C
C     Do any initialization necessary for the database from which we get 
C     information about the calculation to be performed.
C
      Call DB_Init
C
      Return
      End
