C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     stdio_init -- Initialize unit numbers and files (if necessary) for
C     standard I/O units.
C
C SYNOPSIS
      Subroutine Stdio_Init
      Implicit NONE
C
C REVISION
C     $Id: stdio_init.F,v 1.3 1993/11/08 19:49:31 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
#include "stdio.fh"
#include "global.h"
#include "tcgmsg.h"
C
C     For now, simply use the standard units
C
      LuIn  = 5
      LuOut = 6
      LuErr = 0
C
#ifdef IPSC
C
C     On iPSC (but not Delta) you can't easily redirect stdio
C     on the command line, so let's use fixed file names.
C
      LuErr = LuOut
C
      Open( LuIn, FILE='vle2.in', FORM='FORMATTED')
      If (GA_NodeID() .eq. 0) then
         Open( LuOut, FILE='vle2.out', FORM='FORMATTED')
      EndIf
#endif /* IPSC */
#ifdef TCGMSG
C
C     If we're running under TCGMSG, have each process append
C     its output to a local (non-shared) log file, except for
C     process 0, which gets to have all the fun!
C
      If ( GA_NodeID() .ne. 0) Call LLog
#endif /*TCGMSG */
C
      Return
      End



