C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     wrapup -- Perform any operations required to clean up from the
C     calculation.
C
C SYNOPSIS
      Subroutine WrapUp(NShell, NAOBF, NOcc, C_Hdl,
     $   F_Hdl, FAO_Hdl, S_Hdl, QProj_Hdl, SInv_Hdl, FQ_Hdl)
      Implicit NONE
      Integer NShell, NAOBF, NOcc, C_Hdl, F_Hdl, FAO_Hdl,
     $   S_Hdl, QProj_Hdl, SInv_Hdl, FQ_Hdl
C
C REVISION
C     $Id: wrapup.F,v 1.3 1993/11/08 19:49:33 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
#include "stdio.fh"
#include "integral_api.fh"
C LOCAL VARIABLES
      Logical LResult
C
      Write (LuOut, *) 'Starting WrapUp'
C
C     ********************************************
C     * Free long-lived objects created in SETUP *
C     ********************************************
C
      LResult = MA_Pop_Stack( FQ_Hdl )
      LResult = MA_Pop_Stack( QProj_Hdl )
      LResult = MA_Pop_Stack( F_Hdl )
      LResult = MA_Pop_Stack( FAO_Hdl )
      LResult = MA_Pop_Stack( SInv_Hdl )
      LResult = MA_Pop_Stack( S_Hdl )
      LResult = MA_Pop_Stack( C_Hdl )
C
      Write (LuOut, *) 'Done with WrapUp'
      Return
      End
