C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     mk_dij -- Make the "density" Dij
C
C SYNOPSIS
      Subroutine Mk_Dij(N, C, I, J, D, FPMO, FPAO)
      Implicit NONE
      Integer N, I, J
      Double precision FPMO, FPAO
      Double precision C(N, *), D(N, N)
C
C ARGUMENTS
C DESCRIPTION
C REVISION
C     $Id: mk_dij.F,v 1.1 1993/11/08 19:49:43 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
#include "numerical_constants.fh"
C
C     Work that will be done
C
      FPMO = N*N
      FPAO = N*N
C
      Call DGEMM('N','T', N, N, 1, FP_One, C(1, I), N, C(1, J), N,
     $   FP_Zero, D(1, 1), N)
C
      Return
      End
