      integer function nxtask(nproc, ichunk)
      save icount, nleft
      data nleft, icount /0, 0/
c     
c     wrapper round nxtval() to increase granularity
c     and thus reduce no. of requests to shared counter
c     
      if(nproc.gt.0) then
         if(nleft.eq.0) then
            icount = nxtval(nproc) * ichunk
            nleft = ichunk
         endif
         nxtask = icount
         icount = icount + 1
         nleft = nleft -1
      else
         nleft = 0
         nxtask = -1
         junk = nxtval(nproc)
      endif
c     
c     following does dumb static load balancing
c     
c$$$  if(nproc.gt.0) then
c$$$  if (nleft .eq. 0) then
c$$$  icount = nodeid()
c$$$  nleft = 1
c$$$  endif
c$$$  nxtask = icount
c$$$  icount = icount + nnodes()
c$$$  else
c$$$  nleft = 0
c$$$  nxtask = 0
c$$$  endif
c     
*      write(6,*) nodeid(), ' got task ', nxtask
*      call forflush(6)
c     
      end
