C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     par3_get_ints -- Put a batch of integrals into the global data space
C
C SYNOPSIS
      Subroutine Par3_Get_Ints(From, N, ERI, Idx1, Idx2, Idx3, Idx4)
      Implicit NONE
      Integer From, N
      Double precision ERI(N)
      Integer Idx1(N), Idx2(N), Idx3(N), Idx4(N)
C
C REVISION
C     $Id: par3_get_ints.F,v 1.1 1993/11/08 19:50:18 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
#include "numerical_constants.fh"
#include "global.h"
#include "int_pool_private.fh"
C LOCAL VARIABLES
      Integer Me
C
      Me = GA_NodeID()
C
      Call GA_Get(ERIBuf_Hdl,     1,   N, From, From, ERI,  N)
C     
      Call GA_Get(IdxBuf_Hdl,     1,   N, From, From, Idx1, N)
      Call GA_Get(IdxBuf_Hdl,   N+1, 2*N, From, From, Idx2, N)
      Call GA_Get(IdxBuf_Hdl, 2*N+1, 3*N, From, From, Idx3, N)
      Call GA_Get(IdxBuf_Hdl, 3*N+1, 4*N, From, From, Idx4, N)
C
C     Indicate that we've read the buffer.  The DONE array is remote,
C     to tell the buffer's owner we've read the buffer.  The BUFCTL
C     array is a local access, so we know we've already processed
C     this buffer.
C
      Call GA_IACC( Done_Hdl,    From,   From, 1, 1, -1, 1, 1)
      Call GA_IACC( BufCtl_Hdl,    From,   From, Me+1, Me+1, -N, 1, 1)
C
      Return
      End
