C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     par3_put_ints -- Put a batch of integrals into the global data space
C
C SYNOPSIS
      Subroutine Par3_Put_Ints(To, N, ERI, Idx1, Idx2, Idx3, Idx4,
     $   Need, NProc)
      Implicit NONE
      Integer To, N, NProc
      Double precision ERI(N)
      Integer Idx1(N), Idx2(N), Idx3(N), Idx4(N), Need(NProc)
C
C REVISION
C     $Id: par3_put_ints.F,v 1.1 1993/11/08 19:50:30 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
#include "global.h"
#include "int_pool_private.fh"
C LOCAL VARIABLES
C
c$$$      Call GA_Put(NBuf_Hdl,    1,   1, To, To, N,    1)
C
      Call GA_Put(ERIBuf_Hdl,     1,   N, To, To, ERI,  N)
C     
      Call GA_Put(IdxBuf_Hdl,     1,   N, To, To, Idx1, N)
      Call GA_Put(IdxBuf_Hdl,   N+1, 2*N, To, To, Idx2, N)
      Call GA_Put(IdxBuf_Hdl, 2*N+1, 3*N, To, To, Idx3, N)
      Call GA_Put(IdxBuf_Hdl, 3*N+1, 4*N, To, To, Idx4, N)
C
C     Determine who needs to read this buffer.
C     (For now, just say everyone does!)
C
      Call IVFil( NProc, N, Need, 1)
C
C     Record how many people we're telling to read this buffer
C
      Call GA_Put( Done_Hdl, To, To, 1, 1, NProc, 1)
C     
C     Signal that our buffer is ready for reading
C     
      Call GA_Put( BufCtl_Hdl,    To,   To, 1, NProc, Need, 1)
C
      Return
      End
