      subroutine wfile (itape,itype,name)
      implicit real*8 (a-h,o-z)
      character*7 name
      integer dummy(4000)
      common /dum/ dummy
      common /maxr/ maxrec(200)
#ifdef TCGMSG
#include "global.h"
#endif
c
      if (itape.lt.0)
     $     call errquit(' invalid tape in wfile:',itape)
c
#ifdef TCGMSG
c
c     only process 0 physically writes to wfiles
c
      if (ga_nodeid() .ne. 0) return
#endif
      nrcszi=4000    ! record length in integer*4 words
#if defined(ucos)
      maxrec(itape)=1
#else
      maxrec(itape)=0
#endif
      if(itype.eq.0) then
c
c
#if defined(vax)
        open (unit=itape,form='unformatted',access='direct',
     &        recl=nrcszi,file=name,
     &        status='scratch')
#else
#if defined(ibm)
        open (unit=itape,form='unformatted',access='direct',
     &        recl=nrcszi*4,file='/file '//name,
     &        status='scratch')
#else
        open (unit=itape,form='unformatted',access='direct',
     &        recl=nrcszi*4,
     &        status='scratch')
#endif
#endif
c
c
#if defined(ucos)
        write (itape,rec=1) 1
#endif
c
c
      elseif (itype.eq.1) then
c
c insure file is new, open unknown and delete
c
#if defined(ibm)
        call errset (151,1,-1,1,1,0)
        open (unit=itape,file='/file '//name,status='unknown')
#else
        open (unit=itape,file=name,status='unknown')
#endif
c
c
        close (unit=itape,status='delete')
c
c
#if defined(vax)
        open (unit=itape,form='unformatted',access='direct',
     &        recl=nrcszi,file=name,
     &        status='new')
#else
#if defined(ibm)
        open (unit=itape,form='unformatted',access='direct',
     &        recl=nrcszi*4,file='/file '//name,
     &        status='new')
#else
        open (unit=itape,form='unformatted',access='direct',
     &        recl=nrcszi*4,file=name,
     &        status='new')
#endif
#endif
c
c
#if defined(ucos)
        write (itape,rec=1) 1
#endif
      else
c
c
#if defined(vax)
        open (unit=itape,form='unformatted',access='direct',
     &        recl=nrcszi,file=name,
     &        status='old')
#else
#if defined(ibm)
        open (unit=itape,form='unformatted',access='direct',
     &        recl=nrcszi*4,file='/file '//name,
     &        status='old')
#else
        open (unit=itape,form='unformatted',access='direct',
     &        recl=nrcszi*4,file=name,
     &        status='old')
#endif
#endif
c
c
c find max size of old file
c
        ir=0
#if defined(ucos)
        if(ir.gt.-1)then
          read (itape,rec=1) maxrec(itape)
          goto 19
        endif
#endif
c
c
#if defined(ibm)
        call errset (232,1,-1,1,1,0)
#endif
c
c
   15   ir=ir+1
          read (itape,rec=ir,err=19) dummy
          maxrec(itape)=ir
        goto 15
      endif
   19 return
      end
