/*
  PeIGS utility routine
  shell sort given in Harbison and Steele 3rd ed.
  page. 227 of "C, A reference manual," Tartan Laboratories
  
  */

void gshellsort_ (n, v)
     register int *n, v[];
{
  register int gap, i, j, temp;
  int ndim; 

  ndim = *n;
  gap = 1;
  do ( gap = 3*gap+1); while (gap <= ndim);
  for ( gap /= 3; gap > 0; gap /= 3 )
    for ( i = gap; i < ndim; i++ ) {
      temp = v[i];
      for ( j = i-gap; (j>=0)&&(v[j]>temp); j-=gap)
	v[j+gap] = v[j];
      v[j+gap] = temp;
    }
  return;
}

