      subroutine ga_dscal(g_a, s)
      implicit none
#include "mafdecls.h"
#include "globalp.h"
      integer g_a               ! Matrix to scale
      double precision s
c
      integer abase
c
      if (g_a.le.0 .or. g_a.gt.n_global_array) then
         call errquit('ga_dscal: invalid array handle for a', g_a)
      else if (.not. ma_get_index(hand(g_a), abase)) then
         call errquit('ga_dscal: unable to map array handle a?', g_a)
      endif
c
      call dscal(dims(1,g_a)*dims(2,g_a), s, dbl_mb(abase), 1)
c
      end
