      program test
      implicit none
#include "mafdecls.h"
#include "global.h"
c
      integer ia, i, j
      double precision a(2,2), b(2,2)
c
      if (.not. ma_initialize(MT_DBL, -1, -1)) stop 1
      do i = 1, 2
         do j = 1, 2
            a(i,j) = i + 2*j
         enddo
      enddo
c
      if (.not. ga_create(MT_DBL, 2, 2, 'Test', 'BLOCK', 2, 2, ia))
     $     stop 1
      
*      if (.not. ga_put(ia, 1, 2, 1, 2, a, 2)) stop 2
      do i = 1, 2
         do j = 1, 2
            if (.not. ga_put(ia, i, i, j, j, a(i,j), 1)) stop 2
         enddo
      enddo
c
      if (.not. ga_get(ia, 1, 2, 1, 2, b, 2)) stop 3
      do i = 1, 2
         do j = 1, 2
            if (a(i,j) .ne. b(i,j))
     $           write(6,*) i, j, a(i,j), b(i,j)
         enddo
      enddo
      if (.not. ga_update(ia, 1, 2, 1, 2, a, 2, 0.5d0)) stop 5
      if (.not. ga_get(ia, 1, 2, 1, 2, b, 2)) stop 6
      do i = 1, 2
         do j = 1, 2
            if (a(i,j)+0.5d0*a(i,j) .ne. b(i,j)) stop 7
         enddo
      enddo
      if (.not. ga_destroy(ia)) stop 8
c
      write(6,*) ' It worked !'
c
      end
