C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     free_oneint -- Free memory allocated for one-electron integrals
C
C SYNOPSIS
      Logical Function Free_OneInt()
      Implicit NONE
C
C DESCRIPTION
C	Releases memory allocated by Alloc_OneInt.
C
C REVISION
C     $Id: free_oneint.F,v 1.1 1993/08/30 21:25:02 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C#include "mafuncs.fh"
#include "mafdecls.h"
#include "integral_memory.fh"
C
      Free_OneInt = MA_Free_Heap( Int_S_Hdl)
      If ( .NOT. Free_OneInt ) Return
C
      Free_OneInt = MA_Free_Heap( Int_T_Hdl)
      If ( .NOT. Free_OneInt ) Return
C
      Free_OneInt = MA_Free_Heap( Int_V_Hdl)
      If ( .NOT. Free_OneInt ) Return
C
      Free_OneInt = MA_Free_Heap( Int_I1e_Hdl)
      If ( .NOT. Free_OneInt ) Return
C
      Free_OneInt = MA_Free_Heap( Int_J1e_Hdl)
      If ( .NOT. Free_OneInt ) Return
C
      Free_OneInt = MA_Free_Heap( Int_Scr1e_Hdl)
      If ( .NOT. Free_OneInt ) Return
C
      Return
      End
