C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     free_twoint -- Free memory allocated for two-electron integrals
C
C SYNOPSIS
      Logical Function Free_TwoInt()
      Implicit NONE
C
C DESCRIPTION
C	Releases memory allocated by Alloc_TwoInt.
C
C REVISION
C     $Id: free_twoint.F,v 1.1 1993/08/30 21:25:03 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C#include "mafuncs.fh"
#include "mafdecls.h"
#include "integral_memory.fh"
C
C     For MA_Pop version, must be done in reverse order of allocation.
C     For simplicity, we make this one do the same.
C
      Free_TwoInt = MA_Free_Heap( Int_Scr2e_Hdl)
      If ( .NOT. Free_TwoInt ) Return
C
      Free_TwoInt = MA_Free_Heap( Int_L2e_Hdl)
      If ( .NOT. Free_TwoInt ) Return
C
      Free_TwoInt = MA_Free_Heap( Int_K2e_Hdl)
      If ( .NOT. Free_TwoInt ) Return
C
      Free_TwoInt = MA_Free_Heap( Int_J2e_Hdl)
      If ( .NOT. Free_TwoInt ) Return
C
      Free_TwoInt = MA_Free_Heap( Int_I2e_Hdl)
      If ( .NOT. Free_TwoInt ) Return
C
      Free_TwoInt = MA_Free_Heap( Int_Val_Hdl)
      If ( .NOT. Free_TwoInt ) Return
C
      Return
      End
