      Subroutine gto_at_to_bf(basis, iat, ibflo, ibfhi)
      implicit none
      integer basis, iat, ibflo, ibfhi
C
#include "mafdecls.h"
#include "int.h"
#include "integral_memory.fh"
C
      integer ishlo, ishhi
c$$$C
c$$$      Integer K_KS, K_NMS, K_KTop
c$$$      Logical LResult
c$$$C
c$$$      LResult = MA_Get_Index( Int_KS_Hdl, K_KS)
c$$$      LResult = MA_Get_Index( Int_NMS_Hdl, K_NMS)
c$$$      LResult = MA_Get_Index( Int_KTop_Hdl, K_KTop)
c
c     Map from atom iat to range of functions on that atom
C
      if (iat.le.0 .or. iat.gt.NAt)
     $     call errquit('gto_at_to_bf: iat is out of range', iat)
c
      ishlo = int_mb(k_ks+iat-1)
      ishhi = ishlo + int_mb(k_nms+iat-1) - 1
c
      ibflo = KLoc(ishlo)
      ibfhi = int_mb(k_ktop+ishhi-1)
c
      end
