      subroutine gto_at_to_sh(basis, iat, ishlo, ishhi)
      implicit none
      integer basis, iat, ishlo, ishhi
C
#include "mafdecls.h"
#include "int.h"
#include "integral_memory.fh"
C
c$$$      Integer K_KS, K_NMS
c$$$      Logical LResult
c$$$C
c$$$      LResult = MA_Get_Index( Int_KS_Hdl, K_KS)
c$$$      LResult = MA_Get_Index( Int_NMS_Hdl, K_NMS)
c
c     Map from atom iat to range of shells on that atom
c
      if (iat.le.0 .or. iat.gt.NAt)
     $     call errquit('gto_at_to_sh: iat is out of range', iat)
c
      ishlo = int_mb(k_ks+iat-1)
      ishhi = ishlo + int_mb(k_nms+iat-1) - 1
c
      end
