C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     pop_twoint -- Free memory allocated for two-electron integrals
C
C SYNOPSIS
      Logical Function Pop_TwoInt()
      Implicit NONE
C
C DESCRIPTION
C	Releases memory allocated by Push_TwoInt.
C
C REVISION
C     $Id: pop_twoint.F,v 1.1 1993/08/30 21:25:14 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C#include "mafuncs.fh"
#include "mafdecls.h"
#include "integral_memory.fh"
C
C     Pop in reverse order of push.
C
      Pop_TwoInt = MA_Pop_Stack( Int_Scr2e_Hdl)
      If ( .NOT. Pop_TwoInt ) Return
C
      Pop_TwoInt = MA_Pop_Stack( Int_L2e_Hdl)
      If ( .NOT. Pop_TwoInt ) Return
C
      Pop_TwoInt = MA_Pop_Stack( Int_K2e_Hdl)
      If ( .NOT. Pop_TwoInt ) Return
C
      Pop_TwoInt = MA_Pop_Stack( Int_J2e_Hdl)
      If ( .NOT. Pop_TwoInt ) Return
C
      Pop_TwoInt = MA_Pop_Stack( Int_I2e_Hdl)
      If ( .NOT. Pop_TwoInt ) Return
C
      Pop_TwoInt = MA_Pop_Stack( Int_Val_Hdl)
      If ( .NOT. Pop_TwoInt ) Return
C
      Return
      End
