      Subroutine hfasb(E,Nxyz,Sab,NAB,La,Lb)
c
c$Id: hfasb.f,v 1.1 1993/08/31 01:26:55 gg502 Exp $
c

      Implicit real*8 (a-h,o-z)
      Implicit integer (i-n)

      Parameter (Li=1)

      Dimension E(NAB,3,0:((La+Li)+(Lb+Li)),0:(La+Li),0:(Lb+Li))

      Dimension Nxyz(3,2)
c
c Compute the 2-ctr OIs.
c
c     formula:
c
c             Ia,Ib   Ja,Jb   Ka,Kb
c     Sab = Ex      Ey      Ez
c             0       0       0
c
c******************************************************************************

      Ia = Nxyz(1,1)
      Ja = Nxyz(2,1)
      Ka = Nxyz(3,1)

      Ib = Nxyz(1,2)
      Jb = Nxyz(2,2)
      Kb = Nxyz(3,2)

      Sab = 0.D0

      do 10 m = 1,NAB
       Sab = Sab + E(m,1,0,Ia,Ib)*E(m,2,0,Ja,Jb)*E(m,3,0,Ka,Kb)
   10 continue

      end
