C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     terminate -- Perform any termination/cleanup necessary for
C     supporting software.
C
C SYNOPSIS
      Subroutine Terminate
      Implicit NONE
C
C REVISION
C     $Id: terminate.F,v 1.4 1993/11/08 19:49:32 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
#include "integral_api.fh"
#include "stdio.fh"
C#include "mafdecls.h"  ! included by integral_api
#include "global.h"
#include "tcgmsg.h"
C LOCAL VARIABLES
      Logical LResult
C
C     Integral package has some stuff in MA
C
      LResult = Term_Integrals()
C
C     Check for any memory allocations that haven't been freed at this
C     point.
C
      Write (LuOut, '(A)') '------------------------'
      Write (LuOut, '(A)') 'Outstanding Memory Usage'
      Write (LuOut, '(A)') '------------------------'
      Call MA_Summarize_Allocated_Blocks()
      Call MA_Print_Stats()
C
C     Close any files attached to the standard I/O units
C
      Call Stdio_Term
C
C     Global arrays
C
      Call GA_Terminate
C
#ifdef TCGMSG
C
C     TCGMSG message passing
C
      If ( GA_NodeID() .eq. 0) Call Stats
      Call PEnd
#endif /* TCGMSG */
C
      Return
      End
