C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     par3_check_done -- Check if all processors are done producing 
C     integrals
C
C SYNOPSIS
      Integer Function Par3_Check_Done( Done, NrBuf, MxNInt)
      Implicit NONE
      Integer NrBuf, MxNInt
      Integer Done( NrBuf)
C
C REVISION
C     $Id: par3_check_done.F,v 1.1 1993/11/08 19:50:09 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
#include "global.h"
#include "int_pool_private.fh"
C LOCAL VARIABLES
      Integer Me, I
C
C     Retreiving the data is not strictly necessary if you trust that
C     DONE as passed in is recent, but since this is a local data access,
C     it should not be expensive.
C
      Me = GA_NodeID() + 1
      Call GA_Get( BufCtl_Hdl, 1, NrBuf, Me, Me,  Done, NrBuf)
C
      Par3_Check_Done = 0
      Do I = 1, NrBuf
         If ( Done(i) .ne. -(MxNInt+1) )
     $      Par3_Check_Done = Par3_Check_Done + 1
      EndDo
C
c$$$      Call GA_Get( Done_Hdl,    1, 1, 1, 1,  Par3_Check_Done, 1)
c$$$C
      Return
      End
