C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     par3_ints_for_me -- Find out what buffers have integrals for me
C     to process
C
C SYNOPSIS
      Subroutine Par3_Ints_For_Me( Ready , NrBuf, MxNInt)
      Implicit NONE
      Integer NrBuf, ReadY(NrBuf), MxNInt
C
C REVISION
C     $Id: par3_ints_for_me.F,v 1.1 1993/11/08 19:50:24 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
#include "global.h"
#include "int_pool_private.fh"
C LOCAL VARIABLES
      Integer Me, I
C
      Me = GA_NodeID()+1
C
      Call GA_Get( BufCtl_Hdl, 1, NrBuf, Me, Me,  Ready, NrBuf)
C
C     Within the control array, a positive entry means we need to process
C     the buffer.  A zero entry means the buffer is empty at the moment.
C     A negative entry -MxNInt >= x >= -1 means that the process holding
C     that buffer is done evaluating integrals, but the buffer has not 
C     been processed yet. An entry of -(MxNInt+1) means the buffer will never
C     receive more integrals.
C
C     Here we normalize the output so the caller can simply say "if its
C     nonzero, process it".
C
      Do I = 1, NrBuf
         Ready( I ) = Mod( Ready(i) + MxNInt + 1, MxNInt + 1 )
      EndDo
C
      Return
      End
