C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C NAME
C     dgetarray -- GetArray for a double precision array.
C
C SYNOPSIS
      Subroutine DGetArray(NF, A, N, ILP)
      Implicit NONE
      Integer NF, N, ILP
      Double precision A(N)
C
C REVISION
C     $Id: dgetarray.F,v 1.3 1993/11/08 19:50:46 gg502 Exp $
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
#include "denmat_funcs.fh"
#include "global.h"
#include "tcgmsg.h"
#include "msgids.fh"
#ifdef ASCII10_IN
      If ( GA_NodeID() .eq. 0) then
         Read( 11, *) A
      EndIf
      Call BrdCst( MSG_DGetArray, A, MDToB(N), 0)
#else
      Call GetArray( NF, A, InToWP( N ), ILP)
#endif
#ifdef ASCII10_OUT
      Write( 11, *) A
#endif
      Return
      End
